Bug 108665 - console text login screen after RHGB
console text login screen after RHGB
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-30 18:04 EST by chip piller
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-18 12:22:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chip piller 2003-10-30 18:04:35 EST
Description of problem:
During bootup first I see text, then the graphical rhgb starts to run, then I
briefly get a console text login screen, then it goes back to a graphical fedora
X windows screen. My machine boots into runlevel 5.

The problem is the visible console text login screen.  With graphical boot and
runlevel 5 I should not see this.  The effect is probably more noticeable on a
slow pc.

Version-Release number of selected component (if applicable):
0.11.2-1

How reproducible:
always

Steps to Reproduce:
1.enable rhgb
2.setup runlevel 5 in /etc/inittab
3.boot pc
    
Actual results:
startup process goes from graphical boot screen to console text screen and then
to graphical X screen

Expected results:
startup process should go directly from graphical boot screen to graphical X screen

Additional info:
Comment 1 Mikael Carneholm 2004-02-09 18:23:31 EST
I have noticed this as well, and it's very
annoying/uncool/amateurish-looking. If the initial kernel text after
the grub screen could be eliminated as well, it would be even
better...just think of some sexy color fading effect when going from
"before-rhgb" to rhgb and when going from rhgb to gdm/kdm - that would
be awesome!

Now, if all services could be loaded *in parallell* as well
(pre-configured and compiled after configuration into a binary
starting program), I'd be a happy man.
Comment 2 Mahmood 2004-06-07 10:41:12 EDT
I think Caldera had a wierd way to avoid the text login in their 
eDesktop series.. somehow they initialized their X server twice. Once 
without any applications (not sure if its the same display as 
alt+ctrl+f7), then killed it and initialized kdm.

With RedHat, the things is that rhgb is not like bootsplash. Rather, 
it uses the X server, and that too on display defined by atl+ctrl+f8. 
If they were to use the similar traick as Caldera, they would have to 
time it correctly, otherwise the server would try to run three times 
and may crash...

Maybe RedHat can try to comment out the part of the sysinit/inittab 
that is respionsible for switching to the text console 
(alt+ctrl+f1)... either stay at display 8 or try to implement the 
caldera trick. Caldera is no more, so I dont think it would hurt ;)if 
they "hacked" the idea
Comment 3 Daniel Veillard 2004-09-11 17:28:00 EDT
This is graphical output enhancement, low priority but this may
be improved in the future,

Daniel
Comment 4 Daniel Veillard 2004-09-18 12:22:57 EDT
I have tried to fix it as much as possible, some of the earlier
boots messages should be displayed in the detailed graphical view
and I have worked to avoid the graphic -> text -> graphic transition
between rhgb and the gdm login screen. I don't think I can do more
in the current state, it would require revamping the graphical boot
architecture a lot and it's not possible at this point.
Fix is in rhgb-0.13.2 which was just pushed to rawhide and should
show up in devel later this week.

Daniel

Note You need to log in before you can comment on or make changes to this bug.